extensions / Commerce extension
POST
/api/projects/{project_id}/sales/rma/requests/{rma_id}/messagesCreate Request Message
Adds an admin message to an RMA return request in a project and returns the updated message thread.
GETPOST
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
rma_id | Yes | Not specified | Description: Identifier for rma. |
Query Parameters
Request Body
Schema: RmaMessagePayload
| Field | Required | Type | Details |
|---|---|---|---|
body | No | string | Description: Text value. |
attachments | No | array<string> | Description: Array value. Items: string |
Response Body
Example 200 response
json
{
"data": []
}Errors
400 bad_request404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

